Bug Hunting Session
Bug 107135 - Add missing functions FINDB, REPLACEB, SEARCHB
Summary: Add missing functions FINDB, REPLACEB, SEARCHB
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Calc-Function-missingODFF1.2
  Show dependency treegraph
 
Reported: 2017-04-13 09:20 UTC by Winfried Donkers (retired)
Modified: 2017-09-07 12:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers (retired) 2017-04-13 09:20:18 UTC
Description:
These are described in ODFF1.2 but not yet implemented.

Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Commit Notification 2017-07-10 13:14:11 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9f6bd6a714b634c1f366a525cc3571116c3f9f5

tdf#107135, add missing ODFF function REPLACEB.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-07-25 08:37:49 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5ec33c9e108a822f418884ab470a7788de3d0e7

tdf#107135 Add missing ODFF function FINDB.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-08-30 17:06:08 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 4 Winfried Donkers (retired) 2017-08-31 05:26:48 UTC
(In reply to Xisco Faulí from comment #3)
> Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED

No it's not. I'm still working on SEARCHB.
Comment 5 Commit Notification 2017-09-06 08:22:10 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1683f9848c3bd89fff430330a500756c4b130457

tdf#107135 fix too tight constraint for FINDB.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-09-07 11:58:41 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41a85500a70533e1c9791c3a4f8b6c24f2143682

tdf#107135 Add missing ODFF function SEARCHB.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.